Freeciv-3.3: /fast/freeciv/nightly/main/client/svgflag.h File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Structures | Macros | Functions | Variables
svgflag.h File Reference

Go to the source code of this file.

## Data Structures

struct | area_rect

## Macros

#define | is_svg_flag_enabled() _prefer_svg

## Functions

bool | svg_flag_enable (void)
const char ** | ordered_gfx_fextensions (void)
void | free_svg_flag_API (void)
void | get_flag_dimensions (struct sprite *flag, struct area_rect *rect, int svg_height)
void | canvas_put_flag_sprite (struct canvas *pcanvas, int canvas_x, int canvas_y, int canvas_w, int canvas_h, struct sprite *flag)

## Variables

bool | _prefer_svg

## Macro Definition Documentation

## ◆ is_svg_flag_enabled

#define is_svg_flag_enabled | ( |  | ) | _prefer_svg

Definition at line 30 of file svgflag.h.

## Function Documentation

## ◆ canvas_put_flag_sprite()

void canvas_put_flag_sprite | ( | struct canvas * | pcanvas,
|  | int | canvas_x,
|  | int | canvas_y,
|  | int | canvas_w,
|  | int | canvas_h,
|  | struct sprite * | flag
| ) |  |

Put flag sprite to canvas.

Definition at line 137 of file svgflag.c.

Referenced by show_full_citybar().

## ◆ free_svg_flag_API()

void free_svg_flag_API | ( | void |  | ) |

Free resources allocated for the svgflag module.

Definition at line 109 of file svgflag.c.

Referenced by client_exit().

## ◆ get_flag_dimensions()

void get_flag_dimensions | ( | struct sprite * | flag,
|  | struct area_rect * | rect,
|  | int | svg_height
| ) |  |

Fill flag dimensions to rect.

Definition at line 123 of file svgflag.c.

Referenced by show_full_citybar().

## ◆ ordered_gfx_fextensions()

const char ** ordered_gfx_fextensions | ( | void |  | ) |

Return gfx file extensions, in adjusted order.

Definition at line 53 of file svgflag.c.

Referenced by load_gfx_file().

## ◆ svg_flag_enable()

bool svg_flag_enable | ( | void |  | ) |

Try to enable svg flag features.

Returns
  Whether operation succeeded

Definition at line 39 of file svgflag.c.

Referenced by qtg_ui_main().

## Variable Documentation

## ◆ _prefer_svg

bool _prefer_svg

extern

Definition at line 30 of file svgflag.c.

Referenced by ordered_gfx_fextensions(), and svg_flag_enable().